## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 0
# tests are failing
# https://github.com/timothee-haudebourg/khronos-egl/issues/31
%global debug_package %{nil}

%global crate khronos-egl

Name:           rust-khronos-egl
Version:        6.0.0
Release:        %autorelease
Summary:        Rust bindings for EGL

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/khronos-egl
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump versions of wayland -* to versions in fedora
# * patch out gl and tests relying on it
# * https://github.com/timothee-haudebourg/khronos-egl/pull/32
Patch:          khronos-egl-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust bindings for EGL.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+1_0-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+1_0-devel %{_description}

This package contains library source intended for building other packages which
use the "1_0" feature of the "%{crate}" crate.

%files       -n %{name}+1_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+1_1-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+1_1-devel %{_description}

This package contains library source intended for building other packages which
use the "1_1" feature of the "%{crate}" crate.

%files       -n %{name}+1_1-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+1_2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+1_2-devel %{_description}

This package contains library source intended for building other packages which
use the "1_2" feature of the "%{crate}" crate.

%files       -n %{name}+1_2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+1_3-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+1_3-devel %{_description}

This package contains library source intended for building other packages which
use the "1_3" feature of the "%{crate}" crate.

%files       -n %{name}+1_3-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+1_4-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+1_4-devel %{_description}

This package contains library source intended for building other packages which
use the "1_4" feature of the "%{crate}" crate.

%files       -n %{name}+1_4-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+1_5-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+1_5-devel %{_description}

This package contains library source intended for building other packages which
use the "1_5" feature of the "%{crate}" crate.

%files       -n %{name}+1_5-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dynamic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dynamic-devel %{_description}

This package contains library source intended for building other packages which
use the "dynamic" feature of the "%{crate}" crate.

%files       -n %{name}+dynamic-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libloading-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libloading-devel %{_description}

This package contains library source intended for building other packages which
use the "libloading" feature of the "%{crate}" crate.

%files       -n %{name}+libloading-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no-pkg-config-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no-pkg-config-devel %{_description}

This package contains library source intended for building other packages which
use the "no-pkg-config" feature of the "%{crate}" crate.

%files       -n %{name}+no-pkg-config-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pkg-config-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pkg-config-devel %{_description}

This package contains library source intended for building other packages which
use the "pkg-config" feature of the "%{crate}" crate.

%files       -n %{name}+pkg-config-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+static-devel %{_description}

This package contains library source intended for building other packages which
use the "static" feature of the "%{crate}" crate.

%files       -n %{name}+static-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu May 22 2025 solomocyj <solomoncyj@gmail.com> - 6.0.0-1
- init v6.0.0
## END: Generated by rpmautospec
